# List mentions

Returns mentions, one page at a time.

```http
GET https://api.pozy.ai/v1/inbox/mentions
```

- Area: Inbox / Mentions
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string)
- `profileId` (string)
- `sortOrder` (string): one of asc, desc
- `limit` (integer)
- `cursor` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/inbox/mentions?limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/inbox/mentions?limit=25", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/inbox/mentions",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 25,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `data`, array of object
  - `id`, string
  - `platform`, string: One of `linkedin`, `instagram`, `facebook`
  - `type`, string: One of `caption`, `post`, `comment`. Can be null
  - `mediaId`, string: Can be null
  - `postId`, string: Can be null
  - `commentId`, string: Can be null
  - `accountId`, string
  - `accountUsername`, string
  - `content`, string
  - `permalink`, string: Can be null
  - `authorUrn`, string: Can be null
  - `authorName`, string: Can be null
  - `authorUsername`, string: Can be null
  - `authorPicture`, string: Can be null
  - `organizationalEntity`, string
  - `publishedAt`, string (date-time)
  - `createdAt`, string (date-time)
- `pagination`, object
  - `hasMore`, boolean
  - `cursor`, string: Can be null
- `meta`, object
  - `total`, integer
  - `sortOrder`, string: One of `asc`, `desc`

```json
{
  "data": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "linkedin",
      "type": "caption",
      "mediaId": "69eaa09f981d518a7e5ab560",
      "postId": "6108a2cc742cb4e991051e0c",
      "commentId": "6cc7605fa43607e4ad43b1d4",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "accountUsername": "acme",
      "content": "Hello from Pozy",
      "permalink": "string",
      "authorUrn": "string",
      "authorName": "Acme",
      "authorUsername": "acme",
      "authorPicture": "string",
      "organizationalEntity": "string",
      "publishedAt": "2026-10-02T09:00:00.000Z",
      "createdAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "pagination": {
    "hasMore": true,
    "cursor": "string"
  },
  "meta": {
    "total": 42,
    "sortOrder": "asc"
  }
}
```
